OpenVDB 13.0.0

Loading...
Searching...
No Matches
openvdb::v13_0::points::rasterize_sdf_internal Namespace Reference

## Classes
struct | EllipseIndicies
struct | EllipsoidTransfer
struct | EllipsoidTransferQuat
| Specializations of the EllipsoidTransfer for different Xform attribute types. More...
struct | EllipsoidTransferMat3
| Specialization for mat3 types (see above comment). More...
struct | EllipseSurfaceMaskOp

## Functions
math::Vec3d | calcUnitEllipsoidBoundMaxSq (const math::Mat3s &ellipsoidTransform)
math::Vec3d | calcEllipsoidBoundMax (const math::Mat3s &ellipsoidTransform)
template<typename PointDataGridT, typename SdfT, typename SettingsT, typename XformT>
GridPtrVec | rasterizeEllipsoids (const PointDataGridT &points, const SettingsT &settings, const typename SettingsT::FilterType &filter)
template<typename PointDataGridT, typename SdfT, typename SettingsT>
GridPtrVec | rasterizeEllipsoids (const PointDataGridT &points, const SettingsT &settings, const typename SettingsT::FilterType &filter)

## Function Documentation

## ◆ calcEllipsoidBoundMax()

math::Vec3d calcEllipsoidBoundMax | ( | const math::Mat3s & | ellipsoidTransform | ) |
| inline

## ◆ calcUnitEllipsoidBoundMaxSq()

math::Vec3d calcUnitEllipsoidBoundMaxSq | ( | const math::Mat3s & | ellipsoidTransform | ) |
| inline

## ◆ rasterizeEllipsoids() [1/2]

template<typename PointDataGridT, typename SdfT, typename SettingsT>

GridPtrVec rasterizeEllipsoids | ( | const PointDataGridT & | points,
|  | const SettingsT & | settings,
|  | const typename SettingsT::FilterType & | filter )

## ◆ rasterizeEllipsoids() [2/2]

template<typename PointDataGridT, typename SdfT, typename SettingsT, typename XformT>

GridPtrVec rasterizeEllipsoids | ( | const PointDataGridT & | points,
|  | const SettingsT & | settings,
|  | const typename SettingsT::FilterType & | filter )